weka.gui.knowledgeflow

## Class SendToPerspectiveGraphicalCommand

- java.lang.Object
- - weka.gui.knowledgeflow.AbstractGraphicalCommand
  - - weka.gui.knowledgeflow.SendToPerspectiveGraphicalCommand

-     public class SendToPerspectiveGraphicalCommand
      extends AbstractGraphicalCommand

  Class implementing sending a set of Instances to a named perspective
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SEND_TO_PERSPECTIVE_COMMAND_KEY` Command ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendToPerspectiveGraphicalCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommandDescription()` Get the description of this command
    `java.lang.String` | `getCommandName()` Get the name of the command
    `java.lang.Object` | `performCommand(java.lang.Object... commandArgs)` Execute the command
    `void` | `setGraphicalEnvironment(java.lang.Object graphicalEnvironment)` Set the graphical environment

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEND_TO_PERSPECTIVE_COMMAND_KEY

          public static final java.lang.String SEND_TO_PERSPECTIVE_COMMAND_KEY

      Command ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SendToPerspectiveGraphicalCommand

          public SendToPerspectiveGraphicalCommand()

  - ### Method Detail

    - #### setGraphicalEnvironment

          public void setGraphicalEnvironment(java.lang.Object graphicalEnvironment)

      Set the graphical environment
      Overrides:
        `setGraphicalEnvironment` in class `AbstractGraphicalCommand`
      Parameters:
        `graphicalEnvironment` - the graphical environment

    - #### getCommandName

          public java.lang.String getCommandName()

      Get the name of the command
      Specified by:
        `getCommandName` in class `AbstractGraphicalCommand`
      Returns:
        the name of the command

    - #### getCommandDescription

          public java.lang.String getCommandDescription()

      Get the description of this command
      Specified by:
        `getCommandDescription` in class `AbstractGraphicalCommand`
      Returns:
        the description of this command

    - #### performCommand

          public java.lang.Object performCommand(java.lang.Object... commandArgs)
                                          throws WekaException

      Execute the command
      Specified by:
        `performCommand` in class `AbstractGraphicalCommand`
      Parameters:
        `commandArgs` - arguments to the command
      Returns:
        null (no return value for this command)
      Throws:
        `WekaException` - if a problem occurs